> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create broadcast



## OpenAPI

````yaml /api-reference/openapi-v2.json post /{channelId}/broadcasts
openapi: 3.1.0
info:
  title: Heyy API
  version: 2.0.0
servers:
  - url: https://api.heyy.io/v2
security:
  - bearerAuth: []
paths:
  /{channelId}/broadcasts:
    post:
      summary: Create broadcast
      parameters:
        - name: channelId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                workflowId:
                  type: string
                  format: uuid
                isScheduled:
                  type: boolean
                scheduledAt:
                  type: string
                  format: date-time
                isReoccurring:
                  type: boolean
                recurrenceRules:
                  type: array
                  items:
                    type: string
                messageTemplateId:
                  type: string
                  format: uuid
                contacts:
                  type: array
                  items:
                    type: object
                    properties:
                      firstName:
                        type:
                          - string
                          - 'null'
                      lastName:
                        type:
                          - string
                          - 'null'
                      email:
                        type:
                          - string
                          - 'null'
                      phoneNumber:
                        type:
                          - string
                          - 'null'
                      attributes:
                        type: array
                        items:
                          type: object
                          properties:
                            externalId:
                              type: string
                              pattern: ^[A-Za-z][A-Za-z0-9_]*$
                            value:
                              type: string
                          required:
                            - externalId
                            - value
                      labels:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                          required:
                            - name
                  maxItems: 5000
                variables:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: string
                    required:
                      - name
                      - value
              required:
                - name
                - workflowId
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      workflowId:
                        type: string
                      isScheduled:
                        type: boolean
                      isReoccurring:
                        type: boolean
                      scheduledAt:
                        type: string
                      recurrenceRules: {}
                      variables: {}
                      status:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - name
                      - workflowId
                      - isScheduled
                      - isReoccurring
                      - status
                      - createdAt
                      - updatedAt
                required:
                  - success
                  - data
                additionalProperties: false
              example:
                success: true
                data:
                  id: string
                  name: string
                  workflowId: string
                  isScheduled: true
                  isReoccurring: true
                  scheduledAt: string
                  recurrenceRules: null
                  variables: null
                  status: string
                  createdAt: string
                  updatedAt: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````